Newletter2go Installation in Oxid 6 bringt Fehlermeldungen

oxid6

#1

Hallo an das Forum,

mir bringt es bei der Installation von dem neuen Newsletter2go Modul einige Fehlermeldungen - siehe beigefügtes Bild. Was muss ich hier korrigieren?
Weiter die Frage, wo im Composer.json muss das “autoload”: { “psr-4”: { “Newsletter2Go\Newsletter2Go\”: “./source/modules/newsletter2go/src” } } eingefügt werden? Vielleicht liegt da der Fehler?
Viele Grüße.
HKES


#2

natürlich liegt da der Fehler, Du hast ja die Anleitung nicht vollständig ausgeführt. Schreib am besten eine Mail an newsletter2go, damit sie auch merken, wie überkompliziert die Anleitung ist und sie verbessern können


#3

Hallo Vanilla_ Thunder, vielen Dank für deine Rückantwort. Ich schreibe Newsletter2go an, aber hast du eine Lösung? Ich weiß nicht, wie schnell/langsam die antworten? Vielen Dank! Grüße. HKES.


#4

ist zwar nicht der übliche Installationsweg für V6 Module, aber sie wollen es etwa so haben:

    "require-dev": {
...
    },
    "autoload": { 
        "psr-4": { 
            "Newsletter2Go\\Newsletter2Go\\": "./source/modules/newsletter2go/src" 
        } 
    },
    "autoload-dev": {
...
    },

#5

Hallo Vanilla Thunder,

vielen Dank. Wo genau soll ich den Code einfügen damit er funktioniert? Bis jetzt habe ich es noch nicht zum Laufen gebracht. Danke! Grüße. HKES.


#6

composer.json


#7

so hab ich es eingefügt, wäre das in Ordnung?


#8

nein. das wäre völlig falsch.
Die Anleutung sagt:

Fügen Sie diese Zeile hinzu: “autoload”: { “psr-4”: { “Newsletter2Go\Newsletter2Go\”: “./source/modules/newsletter2go/src” } }

Diesen Code habe ich zwischen Zeilen 23 und 24 eingefügt, also zwischen den Bereichen “require-dev” und “autoload-dev”. Achte auf die Kommas, diese trennen einzelne Bereichen voneinander.